<template>
    <div class="pagination">

        <router-link :class="{'disabled' : current-3 < 1}" :to="`/blog/page-1`" > 1 </router-link>
        <router-link :class="{'disabled' : current <= 1}" :to="`/blog/page-${current-1}`" > < </router-link>

        <router-link v-if="current+2 > count" :to="`/blog/page-${current-4}`" >{{current-4}}</router-link>
        <router-link v-if="current+1 > count" :to="`/blog/page-${current-3}`" >{{current-3}}</router-link>
        <router-link v-if="current-2 > 0" :to="`/blog/page-${current-2}`" >{{current-2}}</router-link>
        <router-link v-if="current-1 > 0" :to="`/blog/page-${current-1}`" >{{current-1}}</router-link>

        <div class="now"> {{current}} </div>

        <router-link v-if="current+1 <= count" :to="`/blog/page-${current+1}`" >{{current+1}}</router-link>
        <router-link v-if="current+2 <= count" :to="`/blog/page-${current+2}`" >{{current+2}}</router-link>
        <router-link v-if="current-1 <= 0" :to="`/blog/page-${current+3}`" >{{current+3}}</router-link>
        <router-link v-if="current-2 <= 0" :to="`/blog/page-${current+4}`" >{{current+4}}</router-link>

        <router-link v-if="current < count" :to="`/blog/page-${current+1}`" > > </router-link>
        <div class="disabled" v-else="current < count"  > > </div>
        <router-link :class="{'disabled' : current >= count }" :to="`/blog/page-${count}`" >{{count}}</router-link>

    </div>

</template>

<script>
    export default {
        name: "pagination",
        props: {
            current: {
                type: Number,
                default: 1
            },
            count: {
                type: Number,
                default: 1
            },
        },
        methods: {
            load(page) {
                console.log(page);
                this.$emit('load-items', page);
            }
        },
        beforeRouteUpdate(to, from, next) {
            this.$store.commit('');
            next()
        }
    }
</script>

<style lang="scss" scoped>

    .pagination {
        display: flex;
        align-items: center;
        justify-content: center;

        > a, div {
            text-decoration: none !important;
            display: block;
            padding: 0 10px;
            text-align: center;
            border: 1px solid #cecece;
            margin-right: -1px;
            min-width: 40px;
            line-height: 40px;
            cursor: pointer;

            &.now {
                background: #cb1a31;
                color: #fff;
            }
            &.disabled {
                opacity: .5;
                cursor: default;
            }
        }
    }

</style>